services:
    access.database.manager:
        class: Sso\AccessBundle\Database\Manager
        arguments: [ "@doctrine.orm.readwrite_entity_manager","@monolog.logger.access", "@security.token_storage"]
    access.request.log.listener:
        class: Sso\AccessBundle\EventListener\RequestAccessListener
        arguments: [ "@access.database.manager" ]
        tags:
            - { name: kernel.event_subscriber }

    sso_access.authorization.temporary_token_authorization:
        public: false
        class: Sso\AccessBundle\Authorization\TemporaryTokenAuthorization
        arguments:
            - '@doctrine.orm.backend_entity_manager'
            - '@security.token_storage'
            - '@sso_access.entity.factory'

    sso_access.authorization.temporary_token_authorization_interface:
        public: true
        alias: sso_access.authorization.temporary_token_authorization

    sso_access.entity.factory:
        public: false
        class: Sso\AccessBundle\Entity\Factory
